| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::GLAtomicCounterReference Struct Reference

Structure used to keep track of named atomic counter uniforms in the linked program object. More...

`#include <OgreGLSLProgram.h>`

## Public Attributes
GLint | mBinding
| GL binding handle (similar to location) More...
const GpuConstantDefinition * | mConstantDef
| The constant definition it relates to. More...
GLint | mOffset
| GL offset (only used for atomic counters) More...
GpuProgramType | mSourceProgType
| Which type of program params will this value come from? More...

## Detailed Description

Structure used to keep track of named atomic counter uniforms in the linked program object.

Same as GLUniformReference, but contains an additional offset parameter which currently only atomic counters feature.

## Member Data Documentation

## ◆ mBinding

GLint Ogre::GLAtomicCounterReference::mBinding

GL binding handle (similar to location)

## ◆ mOffset

GLint Ogre::GLAtomicCounterReference::mOffset

GL offset (only used for atomic counters)

## ◆ mSourceProgType

GpuProgramType Ogre::GLAtomicCounterReference::mSourceProgType

Which type of program params will this value come from?

## ◆ mConstantDef

const GpuConstantDefinition* Ogre::GLAtomicCounterReference::mConstantDef

The constant definition it relates to.

The documentation for this struct was generated from the following file:

- Plus/include/GLSL/OgreGLSLProgram.h